Upgrade plugins if needed (#306)
Each plugin installed through the docker image is now tracked using a
marker file containing the version that was installed through the image.
If later, the container is started from a docker image containing newer
plugins, existing plugins will be upgraded if they haven't been upgraded
in the mean time and if the new docker image provides a new version of
them.
Add tests to check that plugins are upgrade properly
diff --git a/tests/test_helpers.bash b/tests/test_helpers.bash
index 63994f2..ed1462c 100644
--- a/tests/test_helpers.bash
+++ b/tests/test_helpers.bash
@@ -3,6 +3,7 @@
# check dependencies
(
type docker &>/dev/null || ( echo "docker is not available"; exit 1 )
+ type unzip &>/dev/null || ( echo "unzip is not available"; exit 1 )
type curl &>/dev/null || ( echo "curl is not available"; exit 1 )
)>&2